XBPS-ALTERNATIVES(1)

NAME
xbps-alternatives - XBPS utility to handle alternatives

SYNOPSIS
xbps-alternatives [OPTIONS] MODE

DESCRIPTION
The xbps-alternatives utility lists or sets the alternatives provided by installed packages. Alternatives are classified by groups, and a group contains a number of symbolic links which are applied when the group is set.

When a package is installed its alternative groups are registered in the package database (pkgdb).

When a package is removed its alternative groups are unregistered from the package database (pkgdb). If there are no more alternative groups, the package database removes the references. If there were alternative groups registered previously, the previous package is set as default provider.

OPTIONS

-C, --config dir
    Specifies a path to the XBPS configuration directory. If the first character is not '/' then it's a relative path of rootdir.

-d, --debug
    Enables extra debugging shown to stderr.

-g, --group
    Alternative group name to match. To be used with the set mode.

-h, --help
    Show the help message.

-r, --rootdir dir
    Specifies a full path for the target root directory.

-v, --verbose
    Enables verbose messages.

-V, --version
    Show the version information.

MODE
Only one of the following modes can be used at a time.

-l, --list [PKG [-g group]]
    Lists all current alternative groups or only from PKG, or just a specific group, if the -g --group option is set.

-s, --set PKG [-g group]
    Set alternative groups specified by PKG or just a specific group, if the -g --group option is set.

FILES

/etc/xbps.d
    Default configuration directory.

/usr/share/xbps.d
    Default system configuration directory.

/var/db/xbps/.<pkgname>-files.plist
    Package files metadata.

/var/db/xbps/pkgdb-0.38.plist
    Default package database (0.38 format). Keeps track of installed packages and properties.

/var/cache/xbps
    Default cache directory to store downloaded binary packages.

SEE ALSO
xbps-checkvers(1), xbps-create(1), xbps-dgraph(1), xbps-fbulk(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-remove(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/voidlinux/xbps/issues